Next: csin, Previous: cproj, Up: Complex

### 2.17 `creal`, `crealf`—real part

Synopsis

         #include <complex.h>
         double creal(double complex z);
         float crealf(float complex z);

Description
These functions compute the real part of z.

`crealf` is identical to `creal`, except that it performs its calculations on `floats complex`.

Returns
The creal functions return the real part value.

Portability
`creal` and `crealf` are ISO C99